Loading...
Searching...
No Matches
iamin: Find min element
Dense LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(\text{argmin}_i\; |x_i|\) More...

## Functions

magma_int_t | magma_icamin (magma_int_t n, magmaFloatComplex_const_ptr dx, magma_int_t incx, magma_queue_t queue)
magma_int_t | magma_idamin (magma_int_t n, magmaDouble_const_ptr dx, magma_int_t incx, magma_queue_t queue)
magma_int_t | magma_isamin (magma_int_t n, magmaFloat_const_ptr dx, magma_int_t incx, magma_queue_t queue)
magma_int_t | magma_izamin (magma_int_t n, magmaDoubleComplex_const_ptr dx, magma_int_t incx, magma_queue_t queue)

## Detailed Description

\(\text{argmin}_i\; |x_i|\)

## Function Documentation

## magma_icamin()

magma_int_t magma_icamin | ( | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Returns
  Index of element of vector x having min. absolute value; \( \text{argmin}_i\; | real(x_i) | + | imag(x_i) | \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_idamin()

magma_int_t magma_idamin | ( | magma_int_t | n,
|  | magmaDouble_const_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Returns
  Index of element of vector x having min. absolute value; \( \text{argmin}_i\; | real(x_i) | + | imag(x_i) | \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_isamin()

magma_int_t magma_isamin | ( | magma_int_t | n,
|  | magmaFloat_const_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Returns
  Index of element of vector x having min. absolute value; \( \text{argmin}_i\; | real(x_i) | + | imag(x_i) | \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_izamin()

magma_int_t magma_izamin | ( | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Returns
  Index of element of vector x having min. absolute value; \( \text{argmin}_i\; | real(x_i) | + | imag(x_i) | \).

Parameters

  [in] | n | Number of elements in vector x. n >= 0.
  [in] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx > 0.
  [in] | queue | magma_queue_t Queue to execute in.